package com.webchat.rmi.pay;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.vo.request.payment.CreateAppRequestVO;
import com.webchat.domain.vo.response.payment.CreateAppResponseVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "webchat-pay-service", contextId = "paymentAppServiceClient")
public interface PaymentAppServiceClient {


    /**
     * 支付平台创建应用（接入方）
     *
     * @param createAppRequest
     * @return
     */
    @PostMapping("/pay-service/app/create")
    APIResponseBean<CreateAppResponseVO> createApp(@RequestBody CreateAppRequestVO createAppRequest);
}
